function figureHandle = InitializePlot(Arena, Bacteria)

figureHandle = gcf;

axis equal;
axis off;
axis([-0.5*Arena.Size,0.5*Arena.Size, -0.5*Arena.Size, 0.5*Arena.Size]);

arenaRectangle = findobj('Tag',[Arena.Name 'Background']);
if(isempty(arenaRectangle))
 arenaRectangle = rectangle('position',[-0.5*Arena.Size, -0.5*Arena.Size, ...
                    Arena.Size, Arena.Size], 'EdgeColor','White');
 set(arenaRectangle,'FaceColor',Arena.BackgroundColor,'Tag',[Arena.Name ...
                    'Background']);
end

attractantRectangle = findobj('Tag',[Arena.Name, 'Attractant']);
if(isempty(attractantRectangle))
 attractantRectangle = rectangle('position',[-0.5*Arena.AttractantSize, ...
                                -0.5*Arena.AttractantSize,...
                                Arena.AttractantSize, Arena.AttractantSize],...
                               'EdgeColor',Arena.AttractantColor);
 set(attractantRectangle,'FaceColor',Arena.AttractantColor,'Tag',[Arena.Name 'Attractant']);
end

set(figureHandle,'DoubleBuffer','on');

nrOfBacteria = length(Bacteria);

bacteriumRectangle = [];

for i = 1:nrOfBacteria
 x = Bacteria(i).Position(1);
 y = Bacteria(i).Position(2);
 tmpRectangle = findobj('Tag',['bact' Bacteria(i).Name]);
 if (~isempty(tmpRectangle))
   set(tmpRectangle,'Position',[x-Bacteria(i).Radius,y-Bacteria(i).Radius,2*Bacteria(i).Radius,...
                      2*Bacteria(i).Radius]);
 else
   tmpRectangle = rectangle('curvature',[1 1],'Position',...
                   [x-Bacteria(i).Radius,y-Bacteria(i).Radius,2*Bacteria(i).Radius,...
                      2*Bacteria(i).Radius]);
   set(tmpRectangle,'FaceColor',[1.0 1.0 0.3],'EdgeColor',[1.0 1.0 0.3],'Tag',['bact' Bacteria(i).Name]);
 end

 bacteriumRectangle = [bacteriumRectangle tmpRectangle];
end

drawnow;